package opc.ua.services.common;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.datatype.QualifiedName;

public class ReadValueId {

	private NodeId nodeId;
	/** IntegerId */
	private Integer attributeId;
	private NumericRange indexRange;
	private QualifiedName dataEncoding;
	
	public NodeId getNodeId() {
		return nodeId;
	}
	public void setNodeId(NodeId nodeId) {
		this.nodeId = nodeId;
	}
	public Integer getAttributeId() {
		return attributeId;
	}
	public void setAttributeId(Integer attributeId) {
		this.attributeId = attributeId;
	}
	public NumericRange getIndexRange() {
		return indexRange;
	}
	public void setIndexRange(NumericRange indexRange) {
		this.indexRange = indexRange;
	}
	public QualifiedName getDataEncoding() {
		return dataEncoding;
	}
	public void setDataEncoding(QualifiedName dataEncoding) {
		this.dataEncoding = dataEncoding;
	}

}
